Package org.apache.qpid.proton.engine

# Class Engine

java.lang.Object
org.apache.qpid.proton.engine.Engine

public final class Engine extends Object
Engine

## Method Summary

Modifier and Type
Method
Description
`static Collector`
`collector()`
`static Connection`
`connection()`
`static SslDomain`
`sslDomain()`
`static SslPeerDetails`
`sslPeerDetails(String hostname, int port)`
`static Transport`
`transport()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### collector

public static Collector collector()

### connection

public static Connection connection()

### transport

public static Transport transport()

### sslDomain

public static SslDomain sslDomain()

### sslPeerDetails

public static SslPeerDetails sslPeerDetails(String hostname, int port)